﻿using Syncfusion.Drawing;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Xml;

namespace NETCoreSample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create PDF
            using (PdfDocument document = new PdfDocument())
            {
                //Load certificate
                PdfCertificate pdfCert = null;
                using (FileStream certificateStream1 = new FileStream(@"PDF.pfx", FileMode.Open, FileAccess.Read))
                {
                    pdfCert = new PdfCertificate(certificateStream1, "syncfusion");
                }

                //Add a page to the document.
                PdfPage page = document.Pages.Add();

                //Draw the text.
                page.Graphics.DrawString("Hello World!!!", new PdfStandardFont(PdfFontFamily.Helvetica, 20), PdfBrushes.Black, new Syncfusion.Drawing.PointF(0, 0));

                //Add a signature.
                PdfSignature signature = new PdfSignature(document, page, pdfCert, "Signature");
                signature.TimeStampServer = new TimeStampServer(new Uri(@"http://timestamp.digicert.com"));
                signature.EnableLtv = true;

                //Save to file system
                using (Stream tempPdfNameStream = new FileStream("TimeStamp.pdf", FileMode.Create))
                {
                    document.Save(tempPdfNameStream);
                }
                document.Close();
            }
        }
    }
}